summaryrefslogtreecommitdiffstats
path: root/.local/bin/opout
diff options
context:
space:
mode:
authorMaks Jopek <maks@jopek.eu>2026-07-12 15:30:03 +0200
committerMaks Jopek <maks@jopek.eu>2026-07-12 15:30:03 +0200
commit497f40ed5a286e52383cc77e81aa1f49b74df925 (patch)
treeb22ecddb58d2bac5be1285f10f4e0e7e44db6690 /.local/bin/opout
parentcfe0107b0b47cff187ffef91d1ae6e4d5566b370 (diff)
parent0e8bd85602cbe3f894d0cf5b0ce8af5cda40fd66 (diff)
downloadeibhear-497f40ed5a286e52383cc77e81aa1f49b74df925.tar.gz
eibhear-497f40ed5a286e52383cc77e81aa1f49b74df925.tar.zst
eibhear-497f40ed5a286e52383cc77e81aa1f49b74df925.zip
Merge remote-tracking branch 'voidrice/master'HEADmaster
Diffstat (limited to '.local/bin/opout')
-rwxr-xr-x.local/bin/opout7
1 files changed, 6 insertions, 1 deletions
diff --git a/.local/bin/opout b/.local/bin/opout
index d2b447a..268c70d 100755
--- a/.local/bin/opout
+++ b/.local/bin/opout
@@ -7,7 +7,12 @@
basename="${1%.*}"
case "${*}" in
- *.tex|*.sil|*.m[dse]|*.[rR]md|*.mom|*.[0-9]) target="$(getcomproot "$1" || echo "$1")" ; setsid -f xdg-open "${target%.*}".pdf >/dev/null 2>&1 ;;
+ *.tex|*.sil|*.m[dse]|*.[rR]md|*.mom|*.[0-9])
+ target="$(getcomproot "$1" || echo "$1")"
+ target="${target##*/}"
+ target="$(find . -name "${target%.*}".pdf | head -n 1)"
+ setsid -f xdg-open "$target" >/dev/null 2>&1
+ ;;
*.html) setsid -f "$BROWSER" "$basename".html >/dev/null 2>&1 ;;
*.sent) setsid -f sent "$1" >/dev/null 2>&1 ;;
esac